Wondering what’s next for npm?Check out our public roadmap! »

    requires-port
    DefinitelyTyped icon, indicating that this package has TypeScript declarations provided by the separate @types/requires-port package

    1.0.0 • Public • Published

    requires-port

    Made by unshiftVersion npmBuild StatusDependenciesCoverage StatusIRC channel

    The module name says it all, check if a protocol requires a given port.

    Installation

    This module is intended to be used with browserify or Node.js and is distributed in the public npm registry. To install it simply run the following command from your CLI:

    npm install --save requires-port

    Usage

    The module exports it self as function and requires 2 arguments:

    1. The port number, can be a string or number.
    2. Protocol, can be http, http: or even https://yomoma.com. We just split it at : and use the first result. We currently accept the following protocols:
      • http
      • https
      • ws
      • wss
      • ftp
      • gopher
      • file

    It returns a boolean that indicates if protocol requires this port to be added to your URL.

    'use strict';
     
    var required = require('requires-port');
     
    console.log(required('8080', 'http')) // true
    console.log(required('80', 'http'))   // false

    License

    MIT

    Install

    npm i requires-port

    DownloadsWeekly Downloads

    12,598,976

    Version

    1.0.0

    License

    MIT

    Last publish

    Collaborators

    • avatar
    • avatar